<?php
/*
addon_ipid.php: administration file for miniBB.
This file is part of miniBB. miniBB is free discussion forums/message board software, supplied with no warranties.
Check COPYING file for more details.
Copyright (C) 2005-2006, 2008-2018 Paul Puzyrev. www.minibb.com
Latest File Update: 2018-May-12
Plugin version: 1.3
*/
if (!defined('INCLUDED776')) die ('Fatal error.');

$limitPerPage=$viewmaxtopic;

$tmpl='';

if($user_id==1){

$title=$title.'IP &lt;-&gt; ID';

$pageNav='';
$mbpn='';

if(isset($_GET['step'])) $step=$_GET['step']; elseif(isset($_POST['step'])) $step=$_POST['step']; else $step=0;
if(isset($_GET['userid'])) $userid=$_GET['userid']; elseif(isset($_POST['userid'])) $userid=$_POST['userid']; else $userid=0;
if(isset($_GET['order'])) $order=$_GET['order']; elseif(isset($_POST['order'])) $order=$_POST['order']; else $order=0;

if(isset($_GET['post'])){
$post=(integer)$_GET['post']+0;
$topic=(integer)$_GET['topic']+0;
$forum=(integer)$_GET['forum']+0;
$pt=db_simpleSelect(0, $Tp, 'count(*)', 'post_id', '<', $post, '', '', 'topic_id', '=', $topic);
$pt=$pt[0];

if($pt<=$viewmaxreplys) $page=PAGE1_OFFSET+1;
else $page=ceil($pt/$viewmaxreplys)+PAGE1_OFFSET;

if(isset($mod_rewrite) and $mod_rewrite) $urlp=addTopicURLPage(genTopicURL($main_url, $forum, '#GET#', $topic, '#GET#'), $page)."#msg{$post}"; else $urlp=addGenURLPage("{$main_url}/{$indexphp}action=vthread&forum={$forum}&topic={$topic}", $page, '&')."#msg{$post}";

header("Location: {$urlp}");
exit;
}

if(!isset($userid)) $userid=0;
if(!(isset($is_mobile) and $is_mobile)) {
$putBr='&nbsp;';
$btPad='';
}
else {
$putBr=$brtag;
$btPad=' style="margin-bottom:3px"';
}

$selArray=array(0=>$l_posted.' Desc', 1=>$l_posted.' Asc', 2=>'IP Desc', 3=>'IP Asc');
$selDdown=makeValuedDropDown($selArray,'order',$btPad);

if($page>PAGE1_OFFSET+1) $title.=' - '.$l_page.' '.$page;

$tmpl.=<<<out

<table class="tbTransparentmb">
<tr>
<td class="tbTransparent txtL vmiddle">
<form action="{$indexphp}" method="get" class="formStyle">
<span class="txtNr">{$l_enterID}: <input type="text" name="userid" size="5" maxlength="10" value="{$userid}" class="textForm"{$btPad} />
{$putBr}&uArr;&dArr; {$selDdown}</span>{$putBr}
<input type="submit" value="{$l_searchSite}" class="inputButton" />
<input type="hidden" name="step" value="2" />
<input type="hidden" name="action" value="checkipid" />
</form>
</td>
</tr>
</table>
out;

if($step==2 and $userid!=0){

if($order==0) $sqlOrd='post_time desc';
elseif($order==1) $sqlOrd='post_time asc';
elseif($order==2) $sqlOrd='poster_ip desc';
elseif($order==3) $sqlOrd='poster_ip asc';
else $sqlOrd='post_time desc';

$nr=db_simpleSelect(0, $Tp, 'count(*)', 'poster_id', '=', $userid);
$numRows=$nr[0];

$us=db_simpleSelect(0, $Tu, 'username', $dbUserId, '=', $userid);
$userName=$us[0];

$pageNav=pageNav($page,$numRows,"{$main_url}/{$indexphp}action=checkipid&amp;order={$order}&amp;userid={$userid}&amp;step=2",$limitPerPage,FALSE);
$makeLim=makeLim($page,$numRows,$limitPerPage);

if($pageNav!='') {
$tmpl.=<<<out
<table class="tbTransparentmb">
<tr><td class="tbTransparentCell">{$pageNav}</td></tr>
</table>
out;
}

if($row=db_simpleSelect(0, $Tp, 'post_id, poster_ip, post_time, topic_id, forum_id', 'poster_id', '=', $userid, $sqlOrd, $makeLim)) {
$tmpl.="<table class=\"forumsmb\"><tr><td class=\"tbTransparent txtL\"><b>\"{$userName}\"</b> ID: {$userid} ({$numRows})</td></tr></table><table class=\"forumsmb\">";

do {

$post_id=$row[0];
$poster_ip=$row[1];
$poster_ipUrl=str_replace(' ', '%20', $row[1]);
$post_time=convert_date($row[2]);
$topic_id=$row[3];
$tmpl.=<<<Out
<tr><td class="caption1"><a href="{$main_url}/{$indexphp}action=viewipuser&amp;postip={$poster_ipUrl}" target="_blank" class="mnblnk">{$poster_ip}</a></td><td class="caption1 w100"><span class="txtSm">&rArr;&nbsp;<a href="{$main_url}/{$indexphp}action=checkipid&amp;post={$post_id}&amp;forum={$row[4]}&amp;topic={$topic_id}" target="_blank" class="mnblnk">{$post_time}</a></span></td></tr>
Out;
}
while ($row=db_simpleSelect(1));
}
else {
$tmpl.=<<<Out
<table class="tbTransparent">
<tr>
<td class="tbTransparentCell">
{$l_searchFailed}</td></tr>
</table>
Out;
}
$tmpl.='</table>';

}

echo load_header();
echo $tmpl;

if($pageNav!=''){
echo <<<out
<table class="tbTransparentmb">
<tr><td class="tbTransparentCell">{$pageNav}</td></tr>
</table>
out;
}

}//user ID

?>